// @ts-nocheck
import { SGraphItem } from "@saga-web/graph/lib";
import { Legend } from '../types/Legend';

/**
 * 图例节点Item(非图例类型)
 *
 * * @author  张宇(taohuzy@163.com)
 */
export class SNoneLegendItem extends SGraphItem {
    /** 图例节点对象数据 */
    data: Legend;

    /**
     * 构造函数
     *
     * @param parent    指向父对象
     * @param data      图例节点对象数据
     */
    constructor(parent: SGraphItem | null, data: Legend) {
        super(parent);
        this.data = data;
        this.id = data.ID;
    }

    toData(): Legend {
        return this.data;
    }
} // Class SNoneLegendItem
